# Uses of Class it.tdlight.jni.TdApi.LocalFile (tdlight API 4.0.177 API)
use: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: LocalFile

# Uses of Class
it.tdlight.jni.TdApi.LocalFile

## Uses of TdApi.LocalFile in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.LocalFile
Modifier and Type
Field
Description
`TdApi.LocalFile`
TdApi.File.`local`
Information about the local copy of the file.
Constructors in it.tdlight.jni with parameters of type TdApi.LocalFile
Modifier
Constructor
Description
``
`File(int id, int size, int expectedSize, TdApi.LocalFile local, TdApi.RemoteFile remote)`
Represents a file.